#language: ru

@tma

Функционал: 014. Tma. Создание профиля акции по истории

Сценарий: 014.1. Tma. Создание профиля акции по истории

	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Маркетинг и продажи' 'Профили акций'
	Тогда открылось окно 'Профили акций'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Профили акций (создание)'
	И в поле 'Наименование' я ввожу текст 'Профиль акции (расчитать по истории)'
	И я нажимаю на кнопку 'Рассчитать профиль по истории акций'
	Тогда открылось окно 'Форма расчета профиля'
	И я нажимаю кнопку выбора у поля "Список акций"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Маркетинговое мероприятие'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Форма расчета профиля'
	И в поле 'Количество периодов разбиения профиля' я ввожу текст '3'
	И я нажимаю на кнопку 'Рассчитать'
	И я жду открытия окна 'Профили акций (создание) *' в течение 5 секунд
	И я активизирую окно "Профили акций (создание) *"
	И в таблице "ПоказателиПрофиля" я перехожу к строке:
		| 'Процент конца периода' |
		| '33'                    |
	И в таблице "ПоказателиПрофиля" в поле '% объема' я ввожу текст '20'
	И в таблице "ПоказателиПрофиля" я завершаю редактирование строки
	И пауза 1
	И в таблице "ПоказателиПрофиля" я перехожу к строке:
		| 'Процент конца периода' |
		| '66'                    |
	И в таблице "ПоказателиПрофиля" в поле '% объема' я ввожу текст '50'
	И в таблице "ПоказателиПрофиля" я завершаю редактирование строки
	И пауза 1
	И в таблице "ПоказателиПрофиля" я перехожу к строке:
		| 'Процент конца периода' |
		| '100'                   |
	И в таблице "ПоказателиПрофиля" я выбираю текущую строку
	И в таблице "ПоказателиПрофиля" в поле '% объема' я ввожу текст '30'
	И в таблице "ПоказателиПрофиля" я завершаю редактирование строки
	И пауза 1
	И я перехожу к закладке "Влияние"
	И элемент формы "Коэффициент роста" стал равен "3,00"
	И элемент формы "Смещение начала влияния на отгрузки от установки акционных цен" стал равен "0"
	И элемент формы "Смещение окончания влияния на отгрузки от завершения действия акционных цен" стал равен "0"
	И элемент формы "Смещение начала акции у клиента от установки акционных цен" стал равен "0"
	И элемент формы "Смещение окончания акции у клиента от завершения действия акционных цен" стал равен "0"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Профили акций (создание) *' в течение 20 секунд
	Тогда открылось окно 'Профили акций'
	И я закрываю окно 'Профили акций'

Сценарий: 014.2. Tma. Завершение

	И Я закрыл все окна клиентского приложения